> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar SIP Trunk

> Executar uma verificação de conectividade em um SIP Trunk

# Verificar SIP Trunk

Executa uma verificação de conectividade em um SIP Trunk. A plataforma tenta registrar/conectar usando as credenciais configuradas e relata sucesso ou falha. Os trunks devem ser verificados antes de poderem ser ativados.

## Endpoint

```
POST /api/v1/sip-trunks/{trunk_id}/verify
```

## Parâmetros de caminho

<ParamField path="trunk_id" type="string" required>UUID do SIP Trunk.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer para autenticação. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/verify" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Resposta

### Verificação Bem-Sucedida

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "is_verified": true,
      "health_status": "healthy",
      "last_health_check_at": "2024-01-15T14:30:00Z"
    }
  }
  ```
</ResponseExample>

### Verificação Falhou

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "data": {
      "is_verified": false,
      "health_status": "unhealthy",
      "error": "Authentication failed (401)"
    }
  }
  ```
</ResponseExample>
